package com.ruoyi.system.domain;

import java.util.Date;
import javax.validation.constraints.NotBlank;
import javax.validation.constraints.NotNull;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.annotation.Excel.ColumnType;
import com.ruoyi.common.core.domain.BaseEntity;

public class SysProjectProgress extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    @Excel(name = "ID", cellType = ColumnType.NUMERIC)
    private Long id;

    @Excel(name = "项目ID", cellType = ColumnType.NUMERIC)
    @NotNull(message = "项目ID不能为空")
    private Long projectId;

    @Excel(name = "项目名称")
    @NotBlank(message = "项目名称不能为空")
    private String projectName;

    @Excel(name = "当前状态", readConverterExp = "0=正常,1=延迟,2=风险")
    private String currentStatus;

    @Excel(name = "目前成果")
    @NotBlank(message = "目前成果不能为空")
    private String currentAchievement;

    @Excel(name = "进展详情")
    private String progressDetail;

    @Excel(name = "标题")
    private String title;

    @Excel(name = "详细介绍")
    private String content;

    @Excel(name = "更新时间")
    private Date updateTime;

    @Excel(name = "更新人")
    private String updateBy;

    public Long getId()
    {
        return id;
    }

    public void setId(Long id)
    {
        this.id = id;
    }

    public Long getProjectId()
    {
        return projectId;
    }

    public void setProjectId(Long projectId)
    {
        this.projectId = projectId;
    }

    public String getProjectName()
    {
        return projectName;
    }

    public void setProjectName(String projectName)
    {
        this.projectName = projectName;
    }

    public String getCurrentStatus()
    {
        return currentStatus;
    }

    public void setCurrentStatus(String currentStatus)
    {
        this.currentStatus = currentStatus;
    }

    public String getCurrentAchievement()
    {
        return currentAchievement;
    }

    public void setCurrentAchievement(String currentAchievement)
    {
        this.currentAchievement = currentAchievement;
    }

    public String getProgressDetail()
    {
        return progressDetail;
    }

    public void setProgressDetail(String progressDetail)
    {
        this.progressDetail = progressDetail;
    }

    public String getTitle()
    {
        return title;
    }

    public void setTitle(String title)
    {
        this.title = title;
    }

    public String getContent()
    {
        return content;
    }

    public void setContent(String content)
    {
        this.content = content;
    }

    public Date getUpdateTime()
    {
        return updateTime;
    }

    public void setUpdateTime(Date updateTime)
    {
        this.updateTime = updateTime;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("projectId", getProjectId())
            .append("projectName", getProjectName())
            .append("currentStatus", getCurrentStatus())
            .append("currentAchievement", getCurrentAchievement())
            .append("progressDetail", getProgressDetail())
            .append("title", getTitle())
            .append("content", getContent())
            .append("createTime", getCreateTime())
            .append("updateTime", getUpdateTime())
            .append("createBy", getCreateBy())
            .append("updateBy", getUpdateBy())
            .append("remark", getRemark())
            .toString();
    }
}
